<!doctype html>
<html>
  <head>
    <title>Rhyzome v0 API</title>
    <style type="text/css">
      body {
	font-family: Trebuchet MS, sans-serif;
	font-size: 15px;
	color: #444;
	margin-right: 24px;
}

h1	{
	font-size: 25px;
}
h2	{
	font-size: 20px;
}
h3	{
	font-size: 16px;
	font-weight: bold;
}
hr	{
	height: 1px;
	border: 0;
	color: #ddd;
	background-color: #ddd;
}

.app-desc {
  clear: both;
  margin-left: 20px;
}
.param-name {
  width: 100%;
}
.license-info {
  margin-left: 20px;
}

.license-url {
  margin-left: 20px;
}

.model {
  margin: 0 0 0px 20px;
}

.method {
  margin-left: 20px;
}

.method-notes	{
	margin: 10px 0 20px 0;
	font-size: 90%;
	color: #555;
}

pre {
  padding: 10px;
  margin-bottom: 2px;
}

.http-method {
 text-transform: uppercase;
}

pre.get {
  background-color: #0f6ab4;
}

pre.post {
  background-color: #10a54a;
}

pre.put {
  background-color: #c5862b;
}

pre.delete {
  background-color: #a41e22;
}

.huge	{
	color: #fff;
}

pre.example {
  background-color: #f3f3f3;
  padding: 10px;
  border: 1px solid #ddd;
}

code {
  white-space: pre;
}

.nickname {
  font-weight: bold;
}

.method-path {
  font-size: 1.5em;
  background-color: #0f6ab4;
}

.up {
  float:right;
}

.parameter {
  width: 500px;
}

.param {
  width: 500px;
  padding: 10px 0 0 20px;
  font-weight: bold;
}

.param-desc {
  width: 700px;
  padding: 0 0 0 20px;
  color: #777;
}

.param-type {
  font-style: italic;
}

.param-enum-header {
width: 700px;
padding: 0 0 0 60px;
color: #777;
font-weight: bold;
}

.param-enum {
width: 700px;
padding: 0 0 0 80px;
color: #777;
font-style: italic;
}

.field-label {
  padding: 0;
  margin: 0;
  clear: both;
}

.field-items	{
	padding: 0 0 15px 0;
	margin-bottom: 15px;
}

.return-type {
  clear: both;
  padding-bottom: 10px;
}

.param-header {
  font-weight: bold;
}

.method-tags {
  text-align: right;
}

.method-tag {
  background: none repeat scroll 0% 0% #24A600;
  border-radius: 3px;
  padding: 2px 10px;
  margin: 2px;
  color: #FFF;
  display: inline-block;
  text-decoration: none;
}

    </style>
  </head>
  <body>
  <h1>Rhyzome v0 API</h1>
    <div class="app-desc">everything subject to change without notice</div>
    <div class="app-desc">More information: <a href="https://entanglement.garden">https://entanglement.garden</a></div>
    <div class="app-desc">Contact Info: <a href="info@entanglement.garden">info@entanglement.garden</a></div>
    <div class="app-desc">Version: 0.1.0</div>
    <div class="app-desc">BasePath:</div>
    <div class="license-info">CC-BY-SA-4.0</div>
    <div class="license-url">https://creativecommons.org/licenses/by/4.0/</div>
  <h2>Access</h2>

  <h2><a name="__Methods">Methods</a></h2>
  [ Jump to <a href="#__Models">Models</a> ]

  <h3>Table of Contents </h3>
  <div class="method-summary"></div>
  <h4><a href="#Default">Default</a></h4>
  <ul>
  <li><a href="#createInstance"><code><span class="http-method">post</span> /v0/instance</code></a></li>
  <li><a href="#createNetwork"><code><span class="http-method">post</span> /v0/network</code></a></li>
  <li><a href="#deleteInstance"><code><span class="http-method">delete</span> /v0/instance/{id}</code></a></li>
  <li><a href="#deleteNetwork"><code><span class="http-method">delete</span> /v0/network/{id}</code></a></li>
  <li><a href="#getInstance"><code><span class="http-method">get</span> /v0/instance/{id}</code></a></li>
  <li><a href="#getJob"><code><span class="http-method">get</span> /v0/jobs/{id}</code></a></li>
  <li><a href="#getNetwork"><code><span class="http-method">get</span> /v0/network/{id}</code></a></li>
  <li><a href="#listAllInstances"><code><span class="http-method">get</span> /v0/instance</code></a></li>
  <li><a href="#listAllNetworks"><code><span class="http-method">get</span> /v0/network</code></a></li>
  <li><a href="#startInstance"><code><span class="http-method">post</span> /v0/instance/{id}/start</code></a></li>
  <li><a href="#stopInstance"><code><span class="http-method">post</span> /v0/instance/{id}/stop</code></a></li>
  <li><a href="#streamJob"><code><span class="http-method">get</span> /v0/jobs/{id}/stream</code></a></li>
  </ul>

  <h1><a name="Default">Default</a></h1>
  <div class="method"><a name="createInstance"/>
    <div class="method-path">
    <a class="up" href="#__Methods">Up</a>
    <pre class="post"><code class="huge"><span class="http-method">post</span> /v0/instance</code></pre></div>
    <div class="method-summary"> (<span class="nickname">createInstance</span>)</div>
    <div class="method-notes">Create an instance</div>


    <h3 class="field-label">Consumes</h3>
    This API call consumes the following media types via the <span class="header">Content-Type</span> request header:
    <ul>
      <li><code>application/json</code></li>
    </ul>

    <h3 class="field-label">Request body</h3>
    <div class="field-items">
      <div class="param">CreateInstanceRequestBody <a href="#CreateInstanceRequestBody">CreateInstanceRequestBody</a> (required)</div>

      <div class="param-desc"><span class="param-type">Body Parameter</span> &mdash;  </div>

    </div>  <!-- field-items -->




    <h3 class="field-label">Return type</h3>
    <div class="return-type">
      <a href="#CreateInstanceResponseBody">CreateInstanceResponseBody</a>
      
    </div>

    <!--Todo: process Response Object and its headers, schema, examples -->

    <h3 class="field-label">Example data</h3>
    <div class="example-data-content-type">Content-Type: application/json</div>
    <pre class="example"><code>{
  "instance_id" : "instance_id",
  "job_id" : "job_id"
}</code></pre>

    <h3 class="field-label">Produces</h3>
    This API call produces the following media types according to the <span class="header">Accept</span> request header;
    the media type will be conveyed by the <span class="header">Content-Type</span> response header.
    <ul>
      <li><code>application/json</code></li>
    </ul>

    <h3 class="field-label">Responses</h3>
    <h4 class="field-label">201</h4>
    the instance is being created
        <a href="#CreateInstanceResponseBody">CreateInstanceResponseBody</a>
  </div> <!-- method -->
  <hr/>
  <div class="method"><a name="createNetwork"/>
    <div class="method-path">
    <a class="up" href="#__Methods">Up</a>
    <pre class="post"><code class="huge"><span class="http-method">post</span> /v0/network</code></pre></div>
    <div class="method-summary"> (<span class="nickname">createNetwork</span>)</div>
    <div class="method-notes">Create an network</div>







    <h3 class="field-label">Return type</h3>
    <div class="return-type">
      <a href="#Network">Network</a>
      
    </div>

    <!--Todo: process Response Object and its headers, schema, examples -->

    <h3 class="field-label">Example data</h3>
    <div class="example-data-content-type">Content-Type: application/json</div>
    <pre class="example"><code>{
  "id" : "id"
}</code></pre>

    <h3 class="field-label">Produces</h3>
    This API call produces the following media types according to the <span class="header">Accept</span> request header;
    the media type will be conveyed by the <span class="header">Content-Type</span> response header.
    <ul>
      <li><code>application/json</code></li>
    </ul>

    <h3 class="field-label">Responses</h3>
    <h4 class="field-label">201</h4>
    the network is being created
        <a href="#Network">Network</a>
  </div> <!-- method -->
  <hr/>
  <div class="method"><a name="deleteInstance"/>
    <div class="method-path">
    <a class="up" href="#__Methods">Up</a>
    <pre class="delete"><code class="huge"><span class="http-method">delete</span> /v0/instance/{id}</code></pre></div>
    <div class="method-summary"> (<span class="nickname">deleteInstance</span>)</div>
    <div class="method-notes">delete an instance</div>

    <h3 class="field-label">Path parameters</h3>
    <div class="field-items">
      <div class="param">id (required)</div>

      <div class="param-desc"><span class="param-type">Path Parameter</span> &mdash; ID of instance to delete default: null </div>
    </div>  <!-- field-items -->






    <h3 class="field-label">Return type</h3>
    <div class="return-type">
      <a href="#JobRef">JobRef</a>
      
    </div>

    <!--Todo: process Response Object and its headers, schema, examples -->

    <h3 class="field-label">Example data</h3>
    <div class="example-data-content-type">Content-Type: application/json</div>
    <pre class="example"><code>{
  "job_id" : "job_id"
}</code></pre>

    <h3 class="field-label">Produces</h3>
    This API call produces the following media types according to the <span class="header">Accept</span> request header;
    the media type will be conveyed by the <span class="header">Content-Type</span> response header.
    <ul>
      <li><code>application/json</code></li>
    </ul>

    <h3 class="field-label">Responses</h3>
    <h4 class="field-label">200</h4>
    instance is being deleted
        <a href="#JobRef">JobRef</a>
  </div> <!-- method -->
  <hr/>
  <div class="method"><a name="deleteNetwork"/>
    <div class="method-path">
    <a class="up" href="#__Methods">Up</a>
    <pre class="delete"><code class="huge"><span class="http-method">delete</span> /v0/network/{id}</code></pre></div>
    <div class="method-summary"> (<span class="nickname">deleteNetwork</span>)</div>
    <div class="method-notes">delete an network</div>

    <h3 class="field-label">Path parameters</h3>
    <div class="field-items">
      <div class="param">id (required)</div>

      <div class="param-desc"><span class="param-type">Path Parameter</span> &mdash; ID of network to delete default: null </div>
    </div>  <!-- field-items -->






    <h3 class="field-label">Return type</h3>
    <div class="return-type">
      <a href="#JobRef">JobRef</a>
      
    </div>

    <!--Todo: process Response Object and its headers, schema, examples -->

    <h3 class="field-label">Example data</h3>
    <div class="example-data-content-type">Content-Type: application/json</div>
    <pre class="example"><code>{
  "job_id" : "job_id"
}</code></pre>

    <h3 class="field-label">Produces</h3>
    This API call produces the following media types according to the <span class="header">Accept</span> request header;
    the media type will be conveyed by the <span class="header">Content-Type</span> response header.
    <ul>
      <li><code>application/json</code></li>
    </ul>

    <h3 class="field-label">Responses</h3>
    <h4 class="field-label">200</h4>
    network is being deleted
        <a href="#JobRef">JobRef</a>
  </div> <!-- method -->
  <hr/>
  <div class="method"><a name="getInstance"/>
    <div class="method-path">
    <a class="up" href="#__Methods">Up</a>
    <pre class="get"><code class="huge"><span class="http-method">get</span> /v0/instance/{id}</code></pre></div>
    <div class="method-summary"> (<span class="nickname">getInstance</span>)</div>
    <div class="method-notes">details about an instance</div>

    <h3 class="field-label">Path parameters</h3>
    <div class="field-items">
      <div class="param">id (required)</div>

      <div class="param-desc"><span class="param-type">Path Parameter</span> &mdash; ID of instance to fetch default: null </div>
    </div>  <!-- field-items -->






    <h3 class="field-label">Return type</h3>
    <div class="return-type">
      <a href="#Instance">Instance</a>
      
    </div>

    <!--Todo: process Response Object and its headers, schema, examples -->

    <h3 class="field-label">Example data</h3>
    <div class="example-data-content-type">Content-Type: application/json</div>
    <pre class="example"><code>{
  "node" : "node",
  "memory" : 0,
  "root_volume" : "root_volume",
  "resource_id" : "resource_id",
  "cpu" : 6,
  "user_data" : "user_data",
  "state" : "PENDING"
}</code></pre>

    <h3 class="field-label">Produces</h3>
    This API call produces the following media types according to the <span class="header">Accept</span> request header;
    the media type will be conveyed by the <span class="header">Content-Type</span> response header.
    <ul>
      <li><code>application/json</code></li>
    </ul>

    <h3 class="field-label">Responses</h3>
    <h4 class="field-label">200</h4>
    the instance
        <a href="#Instance">Instance</a>
  </div> <!-- method -->
  <hr/>
  <div class="method"><a name="getJob"/>
    <div class="method-path">
    <a class="up" href="#__Methods">Up</a>
    <pre class="get"><code class="huge"><span class="http-method">get</span> /v0/jobs/{id}</code></pre></div>
    <div class="method-summary"> (<span class="nickname">getJob</span>)</div>
    <div class="method-notes">get the status of a particular job</div>

    <h3 class="field-label">Path parameters</h3>
    <div class="field-items">
      <div class="param">id (required)</div>

      <div class="param-desc"><span class="param-type">Path Parameter</span> &mdash; ID of job default: null </div>
    </div>  <!-- field-items -->






    <h3 class="field-label">Return type</h3>
    <div class="return-type">
      <a href="#Job">Job</a>
      
    </div>

    <!--Todo: process Response Object and its headers, schema, examples -->

    <h3 class="field-label">Example data</h3>
    <div class="example-data-content-type">Content-Type: application/json</div>
    <pre class="example"><code>{
  "job_type" : "job_type",
  "state_text" : "state_text",
  "job_id" : "job_id",
  "created_at" : 0,
  "state" : "QUEUED"
}</code></pre>

    <h3 class="field-label">Produces</h3>
    This API call produces the following media types according to the <span class="header">Accept</span> request header;
    the media type will be conveyed by the <span class="header">Content-Type</span> response header.
    <ul>
      <li><code>application/json</code></li>
    </ul>

    <h3 class="field-label">Responses</h3>
    <h4 class="field-label">200</h4>
    the current state of the job
        <a href="#Job">Job</a>
  </div> <!-- method -->
  <hr/>
  <div class="method"><a name="getNetwork"/>
    <div class="method-path">
    <a class="up" href="#__Methods">Up</a>
    <pre class="get"><code class="huge"><span class="http-method">get</span> /v0/network/{id}</code></pre></div>
    <div class="method-summary"> (<span class="nickname">getNetwork</span>)</div>
    <div class="method-notes">details about an network</div>

    <h3 class="field-label">Path parameters</h3>
    <div class="field-items">
      <div class="param">id (required)</div>

      <div class="param-desc"><span class="param-type">Path Parameter</span> &mdash; ID of network to fetch default: null </div>
    </div>  <!-- field-items -->






    <h3 class="field-label">Return type</h3>
    <div class="return-type">
      <a href="#Network">Network</a>
      
    </div>

    <!--Todo: process Response Object and its headers, schema, examples -->

    <h3 class="field-label">Example data</h3>
    <div class="example-data-content-type">Content-Type: application/json</div>
    <pre class="example"><code>{
  "id" : "id"
}</code></pre>

    <h3 class="field-label">Produces</h3>
    This API call produces the following media types according to the <span class="header">Accept</span> request header;
    the media type will be conveyed by the <span class="header">Content-Type</span> response header.
    <ul>
      <li><code>application/json</code></li>
    </ul>

    <h3 class="field-label">Responses</h3>
    <h4 class="field-label">200</h4>
    the network
        <a href="#Network">Network</a>
  </div> <!-- method -->
  <hr/>
  <div class="method"><a name="listAllInstances"/>
    <div class="method-path">
    <a class="up" href="#__Methods">Up</a>
    <pre class="get"><code class="huge"><span class="http-method">get</span> /v0/instance</code></pre></div>
    <div class="method-summary"> (<span class="nickname">listAllInstances</span>)</div>
    <div class="method-notes">List all instances</div>







    <h3 class="field-label">Return type</h3>
    <div class="return-type">
      array[<a href="#Instance">Instance</a>]
      
    </div>

    <!--Todo: process Response Object and its headers, schema, examples -->

    <h3 class="field-label">Example data</h3>
    <div class="example-data-content-type">Content-Type: application/json</div>
    <pre class="example"><code>{
  "node" : "node",
  "memory" : 0,
  "root_volume" : "root_volume",
  "resource_id" : "resource_id",
  "cpu" : 6,
  "user_data" : "user_data",
  "state" : "PENDING"
}</code></pre>

    <h3 class="field-label">Produces</h3>
    This API call produces the following media types according to the <span class="header">Accept</span> request header;
    the media type will be conveyed by the <span class="header">Content-Type</span> response header.
    <ul>
      <li><code>application/json</code></li>
    </ul>

    <h3 class="field-label">Responses</h3>
    <h4 class="field-label">200</h4>
    a list of all instances
        
    <h4 class="field-label">default</h4>
    unexpected error
        <a href="#Error">Error</a>
  </div> <!-- method -->
  <hr/>
  <div class="method"><a name="listAllNetworks"/>
    <div class="method-path">
    <a class="up" href="#__Methods">Up</a>
    <pre class="get"><code class="huge"><span class="http-method">get</span> /v0/network</code></pre></div>
    <div class="method-summary"> (<span class="nickname">listAllNetworks</span>)</div>
    <div class="method-notes">List all networks</div>







    <h3 class="field-label">Return type</h3>
    <div class="return-type">
      array[<a href="#Network">Network</a>]
      
    </div>

    <!--Todo: process Response Object and its headers, schema, examples -->

    <h3 class="field-label">Example data</h3>
    <div class="example-data-content-type">Content-Type: application/json</div>
    <pre class="example"><code>{
  "id" : "id"
}</code></pre>

    <h3 class="field-label">Produces</h3>
    This API call produces the following media types according to the <span class="header">Accept</span> request header;
    the media type will be conveyed by the <span class="header">Content-Type</span> response header.
    <ul>
      <li><code>application/json</code></li>
    </ul>

    <h3 class="field-label">Responses</h3>
    <h4 class="field-label">200</h4>
    a list of all networks
        
    <h4 class="field-label">default</h4>
    unexpected error
        <a href="#Error">Error</a>
  </div> <!-- method -->
  <hr/>
  <div class="method"><a name="startInstance"/>
    <div class="method-path">
    <a class="up" href="#__Methods">Up</a>
    <pre class="post"><code class="huge"><span class="http-method">post</span> /v0/instance/{id}/start</code></pre></div>
    <div class="method-summary"> (<span class="nickname">startInstance</span>)</div>
    <div class="method-notes">start an instance</div>

    <h3 class="field-label">Path parameters</h3>
    <div class="field-items">
      <div class="param">id (required)</div>

      <div class="param-desc"><span class="param-type">Path Parameter</span> &mdash; ID of instance to start default: null </div>
    </div>  <!-- field-items -->






    <h3 class="field-label">Return type</h3>
    <div class="return-type">
      <a href="#JobRef">JobRef</a>
      
    </div>

    <!--Todo: process Response Object and its headers, schema, examples -->

    <h3 class="field-label">Example data</h3>
    <div class="example-data-content-type">Content-Type: application/json</div>
    <pre class="example"><code>{
  "job_id" : "job_id"
}</code></pre>

    <h3 class="field-label">Produces</h3>
    This API call produces the following media types according to the <span class="header">Accept</span> request header;
    the media type will be conveyed by the <span class="header">Content-Type</span> response header.
    <ul>
      <li><code>application/json</code></li>
    </ul>

    <h3 class="field-label">Responses</h3>
    <h4 class="field-label">200</h4>
    instance is being started
        <a href="#JobRef">JobRef</a>
  </div> <!-- method -->
  <hr/>
  <div class="method"><a name="stopInstance"/>
    <div class="method-path">
    <a class="up" href="#__Methods">Up</a>
    <pre class="post"><code class="huge"><span class="http-method">post</span> /v0/instance/{id}/stop</code></pre></div>
    <div class="method-summary"> (<span class="nickname">stopInstance</span>)</div>
    <div class="method-notes">stop an instance</div>

    <h3 class="field-label">Path parameters</h3>
    <div class="field-items">
      <div class="param">id (required)</div>

      <div class="param-desc"><span class="param-type">Path Parameter</span> &mdash; ID of instance to start default: null </div>
    </div>  <!-- field-items -->






    <h3 class="field-label">Return type</h3>
    <div class="return-type">
      <a href="#JobRef">JobRef</a>
      
    </div>

    <!--Todo: process Response Object and its headers, schema, examples -->

    <h3 class="field-label">Example data</h3>
    <div class="example-data-content-type">Content-Type: application/json</div>
    <pre class="example"><code>{
  "job_id" : "job_id"
}</code></pre>

    <h3 class="field-label">Produces</h3>
    This API call produces the following media types according to the <span class="header">Accept</span> request header;
    the media type will be conveyed by the <span class="header">Content-Type</span> response header.
    <ul>
      <li><code>application/json</code></li>
    </ul>

    <h3 class="field-label">Responses</h3>
    <h4 class="field-label">200</h4>
    instance is being stopped
        <a href="#JobRef">JobRef</a>
  </div> <!-- method -->
  <hr/>
  <div class="method"><a name="streamJob"/>
    <div class="method-path">
    <a class="up" href="#__Methods">Up</a>
    <pre class="get"><code class="huge"><span class="http-method">get</span> /v0/jobs/{id}/stream</code></pre></div>
    <div class="method-summary"> (<span class="nickname">streamJob</span>)</div>
    <div class="method-notes">an eventstream of updates to the job</div>

    <h3 class="field-label">Path parameters</h3>
    <div class="field-items">
      <div class="param">id (required)</div>

      <div class="param-desc"><span class="param-type">Path Parameter</span> &mdash; ID of job default: null </div>
    </div>  <!-- field-items -->






    <h3 class="field-label">Return type</h3>
    <div class="return-type">
      <a href="#Job">Job</a>
      
    </div>

    <!--Todo: process Response Object and its headers, schema, examples -->

    <h3 class="field-label">Example data</h3>
    <div class="example-data-content-type">Content-Type: </div>
    <pre class="example"><code></code></pre>

    <h3 class="field-label">Produces</h3>
    This API call produces the following media types according to the <span class="header">Accept</span> request header;
    the media type will be conveyed by the <span class="header">Content-Type</span> response header.
    <ul>
      <li><code>text/event-stream</code></li>
    </ul>

    <h3 class="field-label">Responses</h3>
    <h4 class="field-label">200</h4>
    an eventstream of the status of the job
        <a href="#Job">Job</a>
  </div> <!-- method -->
  <hr/>

  <h2><a name="__Models">Models</a></h2>
  [ Jump to <a href="#__Methods">Methods</a> ]

  <h3>Table of Contents</h3>
  <ol>
    <li><a href="#CreateInstanceRequestBody"><code>CreateInstanceRequestBody</code> - </a></li>
    <li><a href="#CreateInstanceResponseBody"><code>CreateInstanceResponseBody</code> - </a></li>
    <li><a href="#Error"><code>Error</code> - </a></li>
    <li><a href="#Instance"><code>Instance</code> - </a></li>
    <li><a href="#Job"><code>Job</code> - </a></li>
    <li><a href="#JobRef"><code>JobRef</code> - </a></li>
    <li><a href="#Network"><code>Network</code> - </a></li>
  </ol>

  <div class="model">
    <h3><a name="CreateInstanceRequestBody"><code>CreateInstanceRequestBody</code> - </a> <a class="up" href="#__Models">Up</a></h3>
    <div class='model-description'></div>
    <div class="field-items">
      <div class="param">memory </div><div class="param-desc"><span class="param-type"><a href="#integer">Integer</a></span>  </div>
<div class="param">cpu </div><div class="param-desc"><span class="param-type"><a href="#integer">Integer</a></span>  </div>
<div class="param">user_data (optional)</div><div class="param-desc"><span class="param-type"><a href="#string">String</a></span>  </div>
<div class="param">base_image </div><div class="param-desc"><span class="param-type"><a href="#string">String</a></span>  </div>
<div class="param">disk_size </div><div class="param-desc"><span class="param-type"><a href="#integer">Integer</a></span>  </div>
    </div>  <!-- field-items -->
  </div>
  <div class="model">
    <h3><a name="CreateInstanceResponseBody"><code>CreateInstanceResponseBody</code> - </a> <a class="up" href="#__Models">Up</a></h3>
    <div class='model-description'></div>
    <div class="field-items">
      <div class="param">job_id </div><div class="param-desc"><span class="param-type"><a href="#string">String</a></span>  </div>
<div class="param">instance_id </div><div class="param-desc"><span class="param-type"><a href="#string">String</a></span>  </div>
    </div>  <!-- field-items -->
  </div>
  <div class="model">
    <h3><a name="Error"><code>Error</code> - </a> <a class="up" href="#__Models">Up</a></h3>
    <div class='model-description'></div>
    <div class="field-items">
      <div class="param">code </div><div class="param-desc"><span class="param-type"><a href="#integer">Integer</a></span>  format: int32</div>
<div class="param">message </div><div class="param-desc"><span class="param-type"><a href="#string">String</a></span>  </div>
    </div>  <!-- field-items -->
  </div>
  <div class="model">
    <h3><a name="Instance"><code>Instance</code> - </a> <a class="up" href="#__Models">Up</a></h3>
    <div class='model-description'></div>
    <div class="field-items">
      <div class="param">resource_id </div><div class="param-desc"><span class="param-type"><a href="#string">String</a></span>  </div>
<div class="param">memory </div><div class="param-desc"><span class="param-type"><a href="#integer">Integer</a></span>  </div>
<div class="param">cpu </div><div class="param-desc"><span class="param-type"><a href="#integer">Integer</a></span>  </div>
<div class="param">node </div><div class="param-desc"><span class="param-type"><a href="#string">String</a></span>  </div>
<div class="param">user_data (optional)</div><div class="param-desc"><span class="param-type"><a href="#string">String</a></span>  </div>
<div class="param">root_volume </div><div class="param-desc"><span class="param-type"><a href="#string">String</a></span>  </div>
<div class="param">state </div><div class="param-desc"><span class="param-type"><a href="#string">String</a></span>  </div>
        <div class="param-enum-header">Enum:</div>
        <div class="param-enum">PENDING</div><div class="param-enum">CREATING</div><div class="param-enum">RUNNING</div><div class="param-enum">STOPPED</div><div class="param-enum">DELETING</div><div class="param-enum">DELETED</div><div class="param-enum">ERROR</div>
    </div>  <!-- field-items -->
  </div>
  <div class="model">
    <h3><a name="Job"><code>Job</code> - </a> <a class="up" href="#__Models">Up</a></h3>
    <div class='model-description'></div>
    <div class="field-items">
      <div class="param">job_id </div><div class="param-desc"><span class="param-type"><a href="#string">String</a></span>  </div>
<div class="param">job_type </div><div class="param-desc"><span class="param-type"><a href="#string">String</a></span>  </div>
<div class="param">state </div><div class="param-desc"><span class="param-type"><a href="#string">String</a></span>  </div>
        <div class="param-enum-header">Enum:</div>
        <div class="param-enum">QUEUED</div><div class="param-enum">RUNNING</div><div class="param-enum">DONE</div><div class="param-enum">FAILED</div>
<div class="param">state_text </div><div class="param-desc"><span class="param-type"><a href="#string">String</a></span>  </div>
<div class="param">created_at </div><div class="param-desc"><span class="param-type"><a href="#long">Long</a></span>  format: int64</div>
    </div>  <!-- field-items -->
  </div>
  <div class="model">
    <h3><a name="JobRef"><code>JobRef</code> - </a> <a class="up" href="#__Models">Up</a></h3>
    <div class='model-description'></div>
    <div class="field-items">
      <div class="param">job_id </div><div class="param-desc"><span class="param-type"><a href="#string">String</a></span>  </div>
    </div>  <!-- field-items -->
  </div>
  <div class="model">
    <h3><a name="Network"><code>Network</code> - </a> <a class="up" href="#__Models">Up</a></h3>
    <div class='model-description'></div>
    <div class="field-items">
      <div class="param">id </div><div class="param-desc"><span class="param-type"><a href="#string">String</a></span>  </div>
    </div>  <!-- field-items -->
  </div>
  </body>
</html>
